/**
  *
  * See the end of the file for the log of changes.
  *
  * $Author: mtsezgin $
  * $Date: 2000/05/22 02:42:34 $
  * $Revision: 1.3 $
  * $Headers$
  * $Id: ParseSupervisor.java,v 1.3 2000/05/22 02:42:34 mtsezgin Exp $
  * $Name:  $
  * $Locker:  $
  * $Source: /mit/mtsezgin/CVS/Repository/REC/ParseSupervisor.java,v $
  *
  **/


/**
  *
  * This subclass of Thread automatically calls the parser.
  *
  **/

class   ParseSupervisor
extends Thread
{
    
    /**
    *
    * The spatial parser 
    *
    **/    
    private ObjectManager object_manager;
    
    /**
    *
    * The constructor.
    *
    **/    
    ParseSupervisor( ObjectManager object_manager )
    {
        this.object_manager = object_manager;
    }


    /**
    *
    * run
    *
    **/
    public void
    run()
    {
        while ( true ) {
            try {
                sleep( 200000l );
            } catch ( Exception e ) {
                System.out.println( "ParseSupervisor got interrupted exception" );
                e.printStackTrace();
            }
            System.out.println( "Supervisor calling parse..." );
            object_manager.parse();
        }
    }
}


/** 
  * 
  * $Log: ObjectManager.java,v $
  * Revision 1.13  2000/06/03 01:52:13  mtsezgin
  *
  **/
